package cron

import (
	"fmt"
)

func (s *server) StopJob(taskCode string) {
	s.mu.Lock()
	cancel, ok := s.taskContext[taskCode]
	s.mu.Unlock()

	if ok {
		cancel() // 调取消函数停止任务
	} else {
		s.logger.Info(fmt.Sprintf("任务未找到: %s", taskCode))
	}
}
